Package org.jacoco.agent.rt

## Class RT

- java.lang.Object
- - org.jacoco.agent.rt.RT

    public final class RT
    extends java.lang.Object

Entry point to access the JaCoCo agent runtime.

### Method Summary

All Methods Static Methods Concrete Methods
`static IAgent` `getAgent()` Returns the agent instance of the JaCoCo runtime in this JVM.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAgent

    public static IAgent getAgent()
                           throws java.lang.IllegalStateException

Returns the agent instance of the JaCoCo runtime in this JVM.

Returns:
  agent instance
Throws:
  `java.lang.IllegalStateException` - if no Agent has been started yet